### Property

# Gtk PrintOperation:n-pages

#### Declaration

    property n-pages: int [ read, write ]

#### Description [src]

The number of pages in the document.

This must be set to a positive number before the rendering starts. It may be set in a `GtkPrintOperation::begin-print` signal handler.

Note that the page numbers passed to the `GtkPrintOperation::request-page-setup` and `GtkPrintOperation::draw-page` signals are 0-based, i.e. if the user chooses to print all pages, the last ::draw-page signal will be for page `n_pages` - 1.

Type: | `gint`

Default value | -1
Setter method | `gtk_print_operation_set_n_pages()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no